diff --git a/drupal7/sites/all/modules/date/date_views/tests/date_views_filter.test b/drupal7/sites/all/modules/date/date_views/tests/date_views_filter.test
new file mode 100644
index 00000000..70d163e3
--- /dev/null
+++ b/drupal7/sites/all/modules/date/date_views/tests/date_views_filter.test
@@ -0,0 +1,515 @@
+<?php
+
+/**
+ * @file
+ * Tests date filter handler in Views.
+ */
+
+class DateViewsFilterTestCase extends DateFieldTestBase {
+
+  /**
+   * {@inheritdoc}
+   */
+  public static function getInfo() {
+    return array(
+      'name' => 'Date Views - Filter Test',
+      'description' => 'Tests date filter handler in Views, including Date Popup fields.',
+      'group' => 'Date Views',
+    );
+  }
+
+  /**
+   * {@inheritdoc}
+   */
+  public function setUp(array $modules = array()) {
+    $modules[] = 'views_ui';
+    $modules[] = 'date_views';
+    $modules[] = 'date_popup';
+    parent::setUp($modules);
+
+    // Initialize values.
+    $this->initialize();
+
+    // Reset/rebuild all data structures after enabling the modules.
+    $this->resetAll();
+
+    // Create a date field.
+    $this->createDateField();
+
+    // Create sample nodes.
+    $this->createDateContent();
+  }
+
+  /**
+   * Initialize test values.
+   */
+  public function initialize() {
+    $this->config_url = 'admin/structure/views/nojs/config-item/test_date_filters/default/filter';
+    $this->extra_url = 'admin/structure/views/nojs/config-item-extra/test_date_filters/default/filter';
+
+    // This is used in views configuration and on the view page.
+    variable_set('date_format_short', 'Y-m-d H:i');
+
+    if ($this->privileged_user) {
+      // Add required permissions.
+      $roles = $this->privileged_user->roles;
+      unset($roles[2]);
+      $rid = key($roles);
+      $permissions = array('administer views'/*, 'administer site configuration'*/);
+      user_role_grant_permissions($rid, $permissions);
+    }
+  }
+
+  /**
+   * Adds a date field to a node bundle.
+   */
+  public function createDateField($values = array()) {
+    // Create a date field.
+    $values = array(
+      'label' => 'Sample date',
+      'widget_type' => 'date_select',
+      'field_name' => 'sample_date',
+      'field_type' => 'datetime',
+      'input_format' => 'm/d/Y - H:i:s',
+      'granularity' => array('year', 'month', 'day'),
+    );
+    parent::createDateField($values);
+  }
+
+  /**
+   * Saves content with a date field.
+   */
+  public function createDateContent() {
+    $years = range(date('Y') - 3, date('Y') + 3);
+    foreach ($years as $year) {
+      for($month = 1; $month < 13; $month++) {
+        $node = array(
+          'type' => 'story',
+          'title' => "Story from $year-$month-01",
+          'uid' => '1',
+        );
+        $node['sample_date']['und'][0]['value'] = "$year-$month-01";
+        node_save((object) $node);
+      }
+    }
+  }
+
+  /**
+   * Creates a view with a date filter for each date widget type.
+   */
+  public function createDateFilterView() {
+    if ($view = views_get_view('test_date_filters')) {
+      // Delete view, then recreate it in a known state.
+      views_delete_view($view);
+    }
+
+    // Create the view.
+    $view = new view();
+    $view->name = 'test_date_filters';
+    $view->description = '';
+    $view->tag = 'default';
+    $view->base_table = 'node';
+    $view->human_name = 'Test date filters';
+    $view->core = 7;
+    $view->api_version = '3.0';
+    $view->disabled = FALSE;
+
+    /* Display: Master */
+    $handler = $view->new_display('default', 'Master', 'default');
+    $handler->display->display_options['title'] = 'Date filters';
+    $handler->display->display_options['use_more_always'] = FALSE;
+    $handler->display->display_options['access']['type'] = 'none';
+    $handler->display->display_options['cache']['type'] = 'none';
+    $handler->display->display_options['query']['type'] = 'views_query';
+    $handler->display->display_options['exposed_form']['type'] = 'basic';
+    $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
+    $handler->display->display_options['pager']['type'] = 'full';
+    $handler->display->display_options['pager']['options']['items_per_page'] = '10';
+    $handler->display->display_options['style_plugin'] = 'table';
+    $handler->display->display_options['style_options']['columns'] = array(
+      'nid' => 'nid',
+      'title' => 'title',
+      'sample_date' => 'sample_date',
+    );
+    $handler->display->display_options['style_options']['default'] = '-1';
+    $handler->display->display_options['style_options']['info'] = array(
+      'nid' => array(
+        'sortable' => 0,
+        'default_sort_order' => 'asc',
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+      ),
+      'title' => array(
+        'sortable' => 0,
+        'default_sort_order' => 'asc',
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+      ),
+      'sample_date' => array(
+        'sortable' => 1,
+        'default_sort_order' => 'asc',
+        'align' => '',
+        'separator' => '',
+        'empty_column' => 0,
+      ),
+    );
+    /* Field: Content: Nid */
+    $handler->display->display_options['fields']['nid']['id'] = 'nid';
+    $handler->display->display_options['fields']['nid']['table'] = 'node';
+    $handler->display->display_options['fields']['nid']['field'] = 'nid';
+    /* Field: Content: Title */
+    $handler->display->display_options['fields']['title']['id'] = 'title';
+    $handler->display->display_options['fields']['title']['table'] = 'node';
+    $handler->display->display_options['fields']['title']['field'] = 'title';
+    $handler->display->display_options['fields']['title']['label'] = '';
+    $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
+    $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
+    /* Field: Content: Sample date */
+    $handler->display->display_options['fields']['sample_date']['id'] = 'sample_date';
+    $handler->display->display_options['fields']['sample_date']['table'] = 'field_data_sample_date';
+    $handler->display->display_options['fields']['sample_date']['field'] = 'sample_date';
+    $handler->display->display_options['fields']['sample_date']['settings'] = array(
+      'format_type' => 'short',
+      'custom_date_format' => '',
+      'fromto' => 'both',
+      'multiple_number' => '',
+      'multiple_from' => '',
+      'multiple_to' => '',
+      'show_remaining_days' => 0,
+      'show_repeat_rule' => 'show',
+    );
+    /* Filter criterion: Content: Type */
+    $handler->display->display_options['filters']['type']['id'] = 'type';
+    $handler->display->display_options['filters']['type']['table'] = 'node';
+    $handler->display->display_options['filters']['type']['field'] = 'type';
+    $handler->display->display_options['filters']['type']['value'] = array(
+      'story' => 'story',
+    );
+    $handler->display->display_options['filters']['type']['group'] = 1;
+    /* Filter criterion: Content: Sample date (sample_date) */
+    $handler->display->display_options['filters']['sample_date_select']['id'] = 'sample_date_select';
+    $handler->display->display_options['filters']['sample_date_select']['table'] = 'field_data_sample_date';
+    $handler->display->display_options['filters']['sample_date_select']['field'] = 'sample_date_value';
+    $handler->display->display_options['filters']['sample_date_select']['group'] = 1;
+    $handler->display->display_options['filters']['sample_date_select']['exposed'] = TRUE;
+    $handler->display->display_options['filters']['sample_date_select']['expose']['operator_id'] = 'sample_date_select_op';
+    $handler->display->display_options['filters']['sample_date_select']['expose']['label'] = 'Select filter';
+    $handler->display->display_options['filters']['sample_date_select']['expose']['operator'] = 'sample_date_select_op';
+    $handler->display->display_options['filters']['sample_date_select']['expose']['identifier'] = 'sample_date_select';
+    $handler->display->display_options['filters']['sample_date_select']['expose']['remember_roles'] = array(
+      2 => 0,
+      1 => 0,
+    );
+    $handler->display->display_options['filters']['sample_date_select']['granularity'] = 'month';
+    $handler->display->display_options['filters']['sample_date_select']['year_range'] = '-2:+2';
+    /* Filter criterion: Content: Sample date (sample_date) */
+    $handler->display->display_options['filters']['sample_date_text']['id'] = 'sample_date_text';
+    $handler->display->display_options['filters']['sample_date_text']['table'] = 'field_data_sample_date';
+    $handler->display->display_options['filters']['sample_date_text']['field'] = 'sample_date_value';
+    $handler->display->display_options['filters']['sample_date_text']['group'] = 1;
+    $handler->display->display_options['filters']['sample_date_text']['exposed'] = TRUE;
+    $handler->display->display_options['filters']['sample_date_text']['expose']['operator_id'] = 'sample_date_text_op';
+    $handler->display->display_options['filters']['sample_date_text']['expose']['label'] = 'Text filter';
+    $handler->display->display_options['filters']['sample_date_text']['expose']['operator'] = 'sample_date_text_op';
+    $handler->display->display_options['filters']['sample_date_text']['expose']['identifier'] = 'sample_date_text';
+    $handler->display->display_options['filters']['sample_date_text']['expose']['remember_roles'] = array(
+      2 => 0,
+      1 => 0,
+    );
+    $handler->display->display_options['filters']['sample_date_text']['granularity'] = 'month';
+    $handler->display->display_options['filters']['sample_date_text']['form_type'] = 'date_text';
+    $handler->display->display_options['filters']['sample_date_text']['year_range'] = '-2:+2';
+    /* Filter criterion: Content: Sample date (sample_date) */
+    $handler->display->display_options['filters']['sample_date_popup']['id'] = 'sample_date_popup';
+    $handler->display->display_options['filters']['sample_date_popup']['table'] = 'field_data_sample_date';
+    $handler->display->display_options['filters']['sample_date_popup']['field'] = 'sample_date_value';
+    $handler->display->display_options['filters']['sample_date_popup']['group'] = 1;
+    $handler->display->display_options['filters']['sample_date_popup']['exposed'] = TRUE;
+    $handler->display->display_options['filters']['sample_date_popup']['expose']['operator_id'] = 'sample_date_popup_op';
+    $handler->display->display_options['filters']['sample_date_popup']['expose']['label'] = 'Popup filter';
+    $handler->display->display_options['filters']['sample_date_popup']['expose']['operator'] = 'sample_date_popup_op';
+    $handler->display->display_options['filters']['sample_date_popup']['expose']['identifier'] = 'sample_date_popup';
+    $handler->display->display_options['filters']['sample_date_popup']['expose']['remember_roles'] = array(
+      2 => 0,
+      1 => 0,
+    );
+    $handler->display->display_options['filters']['sample_date_popup']['granularity'] = 'month';
+    $handler->display->display_options['filters']['sample_date_popup']['form_type'] = 'date_popup';
+    $handler->display->display_options['filters']['sample_date_popup']['year_range'] = '-2:+2';
+
+    /* Display: Page */
+    $handler = $view->new_display('page', 'Page', 'page_samples');
+    $handler->display->display_options['path'] = 'test-date-filter';
+    $handler->display->display_options['menu']['type'] = 'normal';
+    $handler->display->display_options['menu']['title'] = 'Date filters';
+    $handler->display->display_options['menu']['weight'] = '0';
+    $handler->display->display_options['menu']['context'] = 0;
+    $handler->display->display_options['menu']['context_only_inline'] = 0;
+
+    $view->save();
+  }
+
+  /**
+   * Test date filters.
+   */
+  public function testDateFilters() {
+    if (!$this->loggedInUser) {
+      return;
+    }
+
+    try {
+      $this->checkSelectFilter();
+      $this->checkTextFilter('sample_date_text');
+      $this->checkTextFilter('sample_date_popup');
+
+      // @todo Seems to be a bug in popup code that reuses the last filter value
+      // so that query condition is invalid.
+      // (DATE_FORMAT(field_data_sample_date.sample_date_value, '%Y') = '2018-06')
+      $this->validateFilters();
+    }
+    catch(Exception $e) {
+    }
+
+    if ($this->loggedInUser) {
+      $this->drupalLogout();
+    }
+  }
+
+  /**
+   * Test date filter using select widget.
+   */
+  public function checkSelectFilter() {
+    // Restore the view.
+    $this->createDateFilterView();
+
+    $year = (string) (date('Y') - 1);
+    $month = '06';
+    $filter = 'sample_date_select';
+
+    // Set the filter value.
+    $edit = array(
+      'options[value][value_group][value][year]' => $year,
+      'options[value][value_group][value][month]' => substr($month, -1),
+    );
+    $this->setFilter($filter, $edit);
+
+    // Inspect the table.
+    $this->checkTable(1, $year);
+
+    // Inspect the filter value.
+    $this->checkSelect($filter, 'year', $year);
+    $this->checkSelect($filter, 'month', substr($month, -1));
+
+    // Change granularity.
+    $this->setGranularity($filter, 'year');
+
+    // Inspect the table.
+    $this->checkTable(10, $year);
+
+    // Inspect the filter value.
+    $this->checkSelect($filter, 'year', $year);
+  }
+
+  /**
+   * Test date filter using text or popup widget.
+   *
+   * @param string $filter
+   *   Filter name.
+   */
+  public function checkTextFilter($filter) {
+    // Restore the view.
+    $this->createDateFilterView();
+
+    $year = (string) (date('Y') - 1);
+    $month = '06';
+
+    // Set the filter value.
+    $edit = array(
+      'options[value][value_group][value][date]' => "$year-$month",
+    );
+    $this->setFilter($filter, $edit);
+
+    // Inspect the table.
+    $this->checkTable(1, $year);
+
+    // Inspect the filter value.
+    $this->checkTextField($filter, "$year-$month");
+
+    // Change granularity.
+    $this->setGranularity($filter, 'year');
+
+    // Set the filter value.
+    // This is not necessary with the text widget but is with the popup widget.
+    // The popup element retains the first value and the views query uses it.
+    $edit = array(
+      'options[value][value_group][value][date]' => "$year",
+    );
+    $this->setFilter($filter, $edit);
+
+    // Inspect the table.
+    $this->checkTable(10, $year);
+
+    // Inspect the filter value.
+    $this->checkTextField($filter, $year);
+  }
+
+  /**
+   * Test date filter validation using all widgets.
+   */
+  public function validateFilters() {
+    // Restore the view.
+    $this->createDateFilterView();
+
+    $year = (string) (date('Y') - 1);
+    $month = '06';
+
+    // Set the filter values.
+    $edit = array(
+      'sample_date_select[value][year]' => $year,
+      'sample_date_text[value][date]' => $year,
+      'sample_date_popup[value][date]' => $year,
+    );
+
+    // View the page.
+    // The views exposed form uses a GET method not POST.
+    $options = array('query' => $edit);
+    $this->drupalGet('test-date-filter', $options);
+
+    $messages = array(
+      'The value input for field Select filter is invalid',
+      'The month is missing',
+      'The value input for field Text filter is invalid',
+      "The value $year does not match the expected format",
+      'The value input for field Popup filter is invalid',
+      "The value $year does not match the expected format",
+    );
+    foreach ($messages as $message) {
+      $this->assertText($message, "Found error message: {$message}");
+    }
+  }
+
+  /**
+   * Set value of a date filter.
+   *
+   * @param string $filter
+   *   Filter name.
+   * @param string $edit
+   *   The associative array of form input values.
+   */
+  public function setFilter($filter, $edit) {
+    // Load view configuration dialog.
+    $this->drupalGet($this->config_url . '/' . $filter);
+    $this->drupalPost(NULL, $edit, t('Apply'));
+
+    // Save the view.
+    $edit = array();
+    $this->drupalPost(NULL, $edit, t('Save'));
+  }
+
+  /**
+   * Set granularity of a date filter.
+   *
+   * @param string $filter
+   *   Filter name.
+   * @param string $granularity
+   *   The granularity value.
+   */
+  public function setGranularity($filter, $granularity) {
+    // Load view configuration dialog.
+    $this->drupalGet($this->extra_url . '/' . $filter);
+    $edit = array(
+      'options[granularity]' => $granularity,
+    );
+    $this->drupalPost(NULL, $edit, t('Apply'));
+
+    // Save the view.
+    $edit = array();
+    $this->drupalPost(NULL, $edit, t('Save'));
+  }
+
+  /**
+   * Inspect the select field[s] of a date filter.
+   *
+   * @param string $filter
+   *   Filter name.
+   * @param string $part
+   *   Date part.
+   * @param string $expected
+   *   The expected field value.
+   */
+  public function checkSelect($filter, $part, $expected) {
+    // Inspect the filter value.
+    $xpath = '//select[@name="' . $filter . '[value][' . $part . ']"]';
+    $elements = $this->xpath($xpath);
+    if (is_array($elements)) {
+      $select = $elements[0];
+      $value = $this->getSelectedItem($select);
+      $this->assertEqual($value, $expected, "Filter contains $expected");
+    }
+    else {
+      $this->assertTrue(FALSE, "Filter does NOT contain $expected");
+    }
+  }
+
+  /**
+   * Inspect the text field of a date filter.
+   *
+   * @param string $filter
+   *   Filter name.
+   * @param string $expected
+   *   The expected field value.
+   */
+  public function checkTextField($filter, $expected) {
+    // Inspect the filter value.
+    $xpath = '//input[@name="' . $filter . '[value][date]"]';
+    $elements = $this->xpath($xpath);
+    if (is_array($elements)) {
+      $value = (array) $elements[0];
+      $value = $value['@attributes']['value'];
+      $this->assertEqual($value, $expected, "Filter contains $expected");
+    }
+    else {
+      $this->assertTrue(FALSE, "Filter does NOT contain $expected");
+    }
+  }
+
+  /**
+   * Inspect contents of view output table.
+   *
+   * @param int $count
+   *   Expected number of rows in table.
+   * @param string $year
+   *   Expected year value in cells of table.
+   */
+  public function checkTable($count, $year) {
+    // View the page.
+    $this->drupalGet('test-date-filter');
+
+    // Count rows in table.
+    $xpath = '//table[contains(@class, "views-table")]//tbody//tr';
+    $elements = $this->xpath($xpath);
+    if (is_array($elements)) {
+      $this->assertEqual(count($elements), $count, "Table contains $count rows for $year");
+    }
+    else {
+      $this->assertTrue(FALSE, "Table is empty for $year");
+    }
+
+    // Check values in table.
+    // views-field views-field-sample-date
+    $xpath = '//td[contains(@class, "views-field-sample-date")]//span';
+    $elements = $this->xpath($xpath);
+    if (is_array($elements)) {
+      foreach ($elements as $key => $element) {
+        $row = $key + 1;
+        $this->assertTrue(strpos((string) $element, $year) !== FALSE, "Year in row $row is $year");
+      }
+    }
+    else {
+      $this->assertTrue(FALSE, "Table rows are empty for $year");
+    }
+  }
+
+}
diff --git a/drupal7/sites/all/modules/date/tests/date_views_pager.test b/drupal7/sites/all/modules/date/date_views/tests/date_views_pager.test
similarity index 92%
rename from drupal7/sites/all/modules/date/tests/date_views_pager.test
rename to drupal7/sites/all/modules/date/date_views/tests/date_views_pager.test
index 4f5dd97d..f165076f 100644
--- a/drupal7/sites/all/modules/date/tests/date_views_pager.test
+++ b/drupal7/sites/all/modules/date/date_views/tests/date_views_pager.test
@@ -4,7 +4,9 @@
  * @file
  * Views date pager test.
  */
-
+/**
+ *
+ */
 class ViewsPagerTestCase extends DrupalWebTestCase {
   /**
    * Test info.
@@ -14,19 +16,23 @@ class ViewsPagerTestCase extends DrupalWebTestCase {
       'name' => 'Date views pager skipping test',
       'description' => "Views date pager, option to skip empty pages test",
       'group' => 'Date',
+      'dependencies' => array('ctools', 'views'),
     );
   }
 
   /**
-   * Test setup actions.
+   * {@inheritdoc}
    */
-  public function setUp() {
-    // Load the 'date_views', 'views', 'views_ui', 'ctools' modules.
-    parent::setUp('date_views', 'views', 'views_ui', 'ctools');
-    // Set required permissions.
-    $permissions = array('administer views', 'administer site configuration');
+  public function setUp(array $modules = array()) {
+    $modules[] = 'date_views';
+    $modules[] = 'ctools';
+    $modules[] = 'views';
+    $modules[] = 'views_ui';
+    parent::setUp($modules);
+
     // Create admin user and login.
-    $admin_user = $this->drupalCreateUser($permissions);
+    $perms = array('administer views', 'administer site configuration');
+    $admin_user = $this->drupalCreateUser($perms);
     $this->drupalLogin($admin_user);
 
     // Create a new view for test.
@@ -38,7 +44,7 @@ class ViewsPagerTestCase extends DrupalWebTestCase {
     $view->human_name = 'test_date_pager';
     $view->core = 7;
     $view->api_version = '3.0';
-    $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
+    $view->disabled = FALSE; /* Edit this to TRUE to make a default view disabled initially */
 
     /* Display: Master */
     $handler = $view->new_display('default', 'Master', 'default');
@@ -114,11 +120,13 @@ class ViewsPagerTestCase extends DrupalWebTestCase {
    */
   public function testPagerWarning() {
     $this->drupalCreateNode(array('type' => 'blog'));
+
     // Set pager to skip empty pages.
     $edit = array(
       'pager_options[skip_empty_pages]' => FALSE,
     );
     $this->drupalPost('admin/structure/views/nojs/display/test_date_pager/default/pager_options', $edit, t('Apply'));
+
     // Save the view.
     $this->drupalPost('admin/structure/views/view/test_date_pager/edit', array(), t('Save'));
 
diff --git a/drupal7/sites/all/modules/date/date_views/theme/date-views-filter-form.tpl.php b/drupal7/sites/all/modules/date/date_views/theme/date-views-filter-form.tpl.php
index ad638c10..efc7eb4c 100644
--- a/drupal7/sites/all/modules/date/date_views/theme/date-views-filter-form.tpl.php
+++ b/drupal7/sites/all/modules/date/date_views/theme/date-views-filter-form.tpl.php
@@ -4,18 +4,18 @@
  * @file
  * Template to display the Views date filter form.
  *
- * Values available vary depending on the operator. The availability
- * of date vs adjustment depending on the filter settings. It can
- * be date-only, date and adjustment, or adjustment only.
+ * Values available vary depending on the operator. The availability of date vs
+ * adjustment depending on the filter settings. It can be date-only, date and
+ * adjustment, or adjustment only.
  *
- * If the operator is anything but 'Is between' or 'Is not between',
- * a single date and adjustment field is available.
+ * If the operator is anything but 'Is between' or 'Is not between', a single
+ * date and adjustment field is available.
  *
  * $date
  * $adjustment
  *
- * If the operator is 'Is between' or 'Is not between',
- * two date and adjustment fields are available.
+ * If the operator is 'Is between' or 'Is not between', two date and adjustment
+ * fields are available.
  *
  * $mindate
  * $minadjustment
@@ -28,28 +28,27 @@
  */
 ?>
 <div class="date-views-filter-wrapper">
-<div class="container-inline-date date-clear">
-<?php if (!empty($date) || !empty($adjustment)) : ?>
-  <div class="date-clear">
-    <div class="date-views-filter"><?php print $date; ?></div>
-    <div class="date-views-filter"><?php print $adjustment ?></div>
+  <div class="container-inline-date date-clear">
+  <?php if (!empty($date) || !empty($adjustment)): ?>
+    <div class="date-clear">
+      <div class="date-views-filter"><?php print $date; ?></div>
+      <div class="date-views-filter"><?php print $adjustment ?></div>
+    </div>
+  <?php endif; ?>
+  <?php if (!empty($mindate) || !empty($minadjustment)): ?>
+    <div class="date-clear">
+      <div class="date-views-filter"><?php print $mindate; ?></div>
+      <div class="date-views-filter"><?php print $minadjustment; ?></div>
+    </div>
+  <?php endif; ?>
+  <?php if (!empty($maxdate) || !empty($maxadjustment)): ?>
+    <div class="date-clear">
+      <div class="date-views-filter"><?php print $maxdate; ?></div>
+      <div class="date-views-filter"><?php print $maxadjustment; ?></div>
+    </div>
+  <?php endif; ?>
   </div>
-<?php endif; ?>
-<?php if (!empty($mindate) || !empty($minadjustment)) : ?>
-  <div class="date-clear">
-    <div class="date-views-filter"><?php print $mindate; ?></div>
-    <div class="date-views-filter"><?php print $minadjustment; ?></div>
-  </div>
-<?php endif; ?>
-<?php if (!empty($maxdate) || !empty($maxadjustment)) : ?>
-  <div class="date-clear">
-    <div class="date-views-filter"><?php print $maxdate; ?></div>
-    <div class="date-views-filter"><?php print $maxadjustment; ?></div>
-  </div>
-<?php endif; ?>
-</div>
-<div class="date-clear form-item"><div class="description">
-  <?php print $description; ?>
-</div>
-</div>
+  <div class="date-clear form-item"><div class="description">
+    <?php print $description; ?>
+  </div></div>
 </div>
diff --git a/drupal7/sites/all/modules/date/date_views/theme/date-views-pager.tpl.php b/drupal7/sites/all/modules/date/date_views/theme/date-views-pager.tpl.php
index ac8cfb4e..4de773d6 100644
--- a/drupal7/sites/all/modules/date/date_views/theme/date-views-pager.tpl.php
+++ b/drupal7/sites/all/modules/date/date_views/theme/date-views-pager.tpl.php
@@ -1,33 +1,33 @@
 <?php
+
 /**
  * @file
  * Template file for the example display.
  *
  * Variables available:
- * 
+ *
  * $plugin: The pager plugin object. This contains the view.
  *
  * $plugin->view
  *   The view object for this navigation.
  *
  * $nav_title
- *   The formatted title for this view. In the case of block
- *   views, it will be a link to the full view, otherwise it will
- *   be the formatted name of the year, month, day, or week.
+ *   The formatted title for this view. In the case of block views, it will be a
+ *   link to the full view, otherwise it will be the formatted name of the year,
+ *   month, day, or week.
  *
  * $prev_url
  * $next_url
- *   Urls for the previous and next calendar pages. The links are
- *   composed in the template to make it easier to change the text,
- *   add images, etc.
+ *   Urls for the previous and next calendar pages. The links are composed in
+ *   the template to make it easier to change the text, add images, etc.
  *
  * $prev_options
  * $next_options
- *   Query strings and other options for the links that need to
- *   be used in the l() function, including rel=nofollow.
+ *   Query strings and other options for the links that need to be used in the
+ *   l() function, including rel=nofollow.
  */
 ?>
-<?php if (!empty($pager_prefix)) : ?>
+<?php if (!empty($pager_prefix)): ?>
 <?php print $pager_prefix; ?>
 <?php endif; ?>
 <div class="date-nav-wrapper clearfix<?php if (!empty($extra_classes)): print $extra_classes; endif; ?>">
@@ -36,7 +36,7 @@
       <h3><?php print $nav_title ?></h3>
     </div>
     <ul class="pager">
-    <?php if (!empty($prev_url)) : ?>
+    <?php if (!empty($prev_url)): ?>
       <li class="date-prev">
         <?php
         $text = '&laquo;';
@@ -45,7 +45,7 @@
         ?>
       </li>
     <?php endif; ?>
-    <?php if (!empty($next_url)) : ?>
+    <?php if (!empty($next_url)): ?>
       <li class="date-next">
         <?php print l(($mini ? '' : t('Next', array(), array('context' => 'date_nav')) . ' ') . '&raquo;', $next_url, $next_options); ?>
       </li>
diff --git a/drupal7/sites/all/modules/date/date_views/theme/theme.inc b/drupal7/sites/all/modules/date/date_views/theme/theme.inc
index 7ca03f3a..f68c6715 100644
--- a/drupal7/sites/all/modules/date/date_views/theme/theme.inc
+++ b/drupal7/sites/all/modules/date/date_views/theme/theme.inc
@@ -20,9 +20,6 @@ function date_views_preprocess_views_view(&$vars) {
       case 'both':
         $vars['header'] .= $vars['pager'];
         break;
-
-      default:
-        // Already on the bottom.
     }
   }
 }
@@ -60,8 +57,8 @@ function template_preprocess_date_views_pager(&$vars) {
   $min_date = $date_info->min_date;
   $max_date = $date_info->max_date;
 
-  // Set up the pager link format. Setting the block identifier
-  // will force pager style links.
+  // Set up the pager link format. Setting the block identifier will force
+  // pager style links.
   if ((isset($date_info->date_pager_format) && $date_info->date_pager_format != 'clean') || !empty($date_info->mini)) {
     if (empty($date_info->block_identifier)) {
       $date_info->block_identifier = $date_info->pager_id;
@@ -79,6 +76,7 @@ function template_preprocess_date_views_pager(&$vars) {
           $prev_week = date_week(date_format($prev_date, 'Y-m-d'));
           $prev_arg = date_format($prev_date, 'o-\W') . date_pad($prev_week);
           break;
+
         default:
           $prev_arg = date_format($prev_date, $format[$granularity]);
       }
@@ -92,6 +90,7 @@ function template_preprocess_date_views_pager(&$vars) {
           $next_week = date_week(date_format($next_date, 'Y-m-d'));
           $next_arg = date_format($next_date, 'o-\W') . date_pad($next_week);
           break;
+
         default:
           $next_arg = date_format($next_date, $format[$granularity]);
       }
@@ -110,8 +109,8 @@ function template_preprocess_date_views_pager(&$vars) {
     $vars['next_options'] = $vars['prev_options'] = array();
   }
 
-  // Check whether navigation links would point to
-  // a date outside the allowed range.
+  // Check whether navigation links would point to a date outside the allowed
+  // range.
   if (!empty($next_date) && !empty($vars['next_url']) && date_format($next_date, 'Y') > $date_info->limit[1]) {
     $vars['next_url'] = '';
   }
@@ -145,6 +144,7 @@ function template_preprocess_date_views_pager(&$vars) {
       $next_title = t('Navigate to next day');
       break;
   }
+
   $vars['prev_options']['attributes'] += array('title' => $prev_title);
   $vars['next_options']['attributes'] += array('title' => $next_title);
 
@@ -183,6 +183,7 @@ function theme_date_nav_title($params) {
   $format = !empty($params['format']) ? $params['format'] : NULL;
   $format_with_year = variable_get('date_views_' . $granularity . '_format_with_year', 'l, F j, Y');
   $format_without_year = variable_get('date_views_' . $granularity . '_format_without_year', 'l, F j');
+
   switch ($granularity) {
     case 'year':
       $title = $date_info->year;
@@ -213,6 +214,7 @@ function theme_date_nav_title($params) {
       $date_arg = $date_info->year . '-W' . date_pad($date_info->week);
       break;
   }
+
   if (!empty($date_info->mini) || $link) {
     // Month navigation titles are used as links in the mini view.
     $attributes = array('title' => t('View full page month'));
@@ -236,4 +238,5 @@ function template_preprocess_date_views_filter_form(&$vars) {
   $vars['minadjustment'] = drupal_render($form['minadjustment']);
   $vars['maxadjustment'] = drupal_render($form['maxadjustment']);
   $vars['description'] = drupal_render($form['description']) . drupal_render($form);
+  drupal_add_css(drupal_get_path('module', 'date_api') . '/date.css');
 }
